Not able to install packages on atom 1.29 verson


#1

hi All,

i have install atom 1.29 version and trying to install packages but getting below error and also i have tried so many times even also i have uninstall and install atom.

and when i run this command apm install --check getting below error

Checking for native build tools failed

gyp info it worked if it ends with ok
gyp info using node-gyp@3.4.0
gyp info using node@6.9.5 | win32 | x64
gyp http GET https://atom.io/download/electron/v2.0.5/iojs-v2.0.5.tar.gz
gyp WARN install got an error, rolling back install
gyp ERR! install error
gyp ERR! stack Error: This is most likely not a problem with node-gyp or the package itself and
gyp ERR! stack is related to network connectivity. In most cases you are behind a proxy or have bad
gyp ERR! stack network settings.
gyp ERR! stack at Request. (C:\Users\pratijai\AppData\Local\atom\app-1.29.0\resources\app\apm\node_modules\node-gyp\lib\install.js:193:21)
gyp ERR! stack at emitOne (events.js:96:13)
gyp ERR! stack at Request.emit (events.js:188:7)
gyp ERR! stack at Request.onRequestError (C:\Users\pratijai\AppData\Local\atom\app-1.29.0\resources\app\apm\node_modules\request\request.js:877:8)
gyp ERR! stack at emitOne (events.js:96:13)
gyp ERR! stack at ClientRequest.emit (events.js:188:7)
gyp ERR! stack at TLSSocket.socketErrorListener (_http_client.js:310:9)
gyp ERR! stack at emitOne (events.js:96:13)
gyp ERR! stack at TLSSocket.emit (events.js:188:7)
gyp ERR! stack at connectErrorNT (net.js:1022:8)
gyp ERR! System Windows_NT 10.0.10586
gyp ERR! command “C:\Users\pratijai\AppData\Local\atom\app-1.29.0\resources\app\apm\bin\node.exe” “C:\Users\pratijai\AppData\Local\atom\app-1.29.0\resources\app\apm\node_modules\node-gyp\bin\node-gyp.js” “install” “–runtime=electron” “–target=2.0.5” “–dist-url=https://atom.io/download/electron” “–arch=x64” “–ensure”
gyp ERR! cwd C:\Users\pratijai.atom
gyp ERR! node -v v6.9.5
gyp ERR! node-gyp -v v3.4.0
gyp ERR! not ok

please help me out.

Thanks.


#2

You should follow this thread, which is about an issue that looks exactly like yours, and try out some of the troubleshooting steps I’m suggesting:


#3

i have already tried the steps from threads but still i am not able to install any packages.


#4

Are you behind a proxy?


#5

Not sure … but how i can check this.


#6

Ask the person who set up your local network or connect to the Internet through a different access point.